package com.loganmagnan.eventcore.utils.command;

import com.loganmagnan.eventcore.EventCore;

public abstract class BaseCommand {

    public BaseCommand() {
        EventCore.getInstance().getCommandFramework().registerCommands(this, null);
    }

    public abstract void executeAs(CommandArguments command);
}
